#ifndef FRAMELESSWINDOW_H
#define FRAMELESSWINDOW_H

#include <QMainWindow>

class TitleBar;
class MainWindow;

class FramelessWindow : public QMainWindow
{
    Q_OBJECT

public:
    FramelessWindow(QWidget *parent = nullptr, Qt::WindowFlags flags = Qt::WindowFlags());
    ~FramelessWindow();

private:
    void initUI();
    void initFrameless();

    void connects();

private:
    TitleBar* mTitleBar;
    MainWindow* mMainWindow;
};

#endif // FRAMELESSWINDOW_H
